Skip to main content
GET
Python SDK

Authorizations

Authorization
string
header
required

Bearer authentication header in the form Bearer , where is your Tavily API key (e.g., Bearer tvly-YOUR_API_KEY).

Path Parameters

request_id
string
required

The unique identifier of the research task.

Response

Research task is completed or failed.

request_id
string
required

The unique identifier of the research task.

Example:

"123e4567-e89b-12d3-a456-426614174111"

created_at
string
required

Timestamp when the research task was created.

Example:

"2025-01-15T10:30:00Z"

status
enum<string>
required

The current status of the research task.

Available options:
completed
content
required

The research report content. Can be a string or a structured object if output_schema was provided.

sources
object[]
required

List of sources used in the research.

response_time
integer
required

Time in seconds it took to complete the request.

Example:

1.23